Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.securechannel
Class ChannelDecisionManagerImpl

    java.lang.Object
      org.acegisecurity.securechannel.ChannelDecisionManagerImpl

All Implemented Interfaces:
  ChannelDecisionManager, InitializingBean

    public class ChannelDecisionManagerImpl

extends Object
implements ChannelDecisionManager, InitializingBean

Implementation of `ChannelDecisionManager`.

Iterates through each configured `ChannelProcessor`. If a `ChannelProcessor` has any issue with the security of the request, it should cause a redirect, exception or whatever other action is appropriate for the `ChannelProcessor` implementation.

Once any response is committed (ie a redirect is written to the response object), the `ChannelDecisionManagerImpl` will not iterate through any further `ChannelProcessor`s.

Version:
  $Id: ChannelDecisionManagerImpl.java,v 1.4 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`ChannelDecisionManagerImpl()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `decide(FilterInvocation invocation, ConfigAttributeDefinition config)` Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.
`List` | `getChannelProcessors()`
`void` | `setChannelProcessors(List newList)`
`boolean` | `supports(ConfigAttribute attribute)` Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelDecisionManagerImpl

    public ChannelDecisionManagerImpl()

Method Detail

### setChannelProcessors

    public void setChannelProcessors(List newList)

### getChannelProcessors

    public List getChannelProcessors()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### decide

    public void decide(FilterInvocation invocation,
                       ConfigAttributeDefinition config)
                throws IOException,
                       javax.servlet.ServletException

  Description copied from interface: `ChannelDecisionManager`
  Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.

  Specified by:
    `decide` in interface `ChannelDecisionManager`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### supports

    public boolean supports(ConfigAttribute attribute)

  Description copied from interface: `ChannelDecisionManager`
  Indicates whether this `ChannelDecisionManager` is able to process the passed `ConfigAttribute`.

  This allows the `ChannelProcessingFilter` to check every configuration attribute can be consumed by the configured `ChannelDecisionManager`.

  Specified by:
    `supports` in interface `ChannelDecisionManager`
  Parameters:
    `attribute` - a configuration attribute that has been configured against the `ChannelProcessingFilter`
  Returns:
    true if this `ChannelDecisionManager` can support the passed configuration attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.